﻿@model User

@{
    ViewBag.Title = "Creating Users";
    Layout = "_Layout";
}

<h2 class="my-4">@ViewBag.Title</h2>

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6">
            @using (Html.BeginForm("Create", "User", FormMethod.Post))
            {
                <div class="form-group mb-3">
                    <label asp-for="Nickname" class="form-label">Name:</label>
                    <input asp-for="Nickname" class="form-control" placeholder="Enter your name"/>
                    <span asp-validation-for="Nickname" class="text-danger"></span>
                </div>

                <div class="form-group mb-3">
                    <label asp-for="Birthdate" class="form-label">Birthday:</label>
                    <input asp-for="Birthdate" class="form-control" placeholder="Enter your birthdate"/>
                    <span asp-validation-for="Birthdate" class="text-danger"></span>
                </div>

                <button type="submit" class="btn btn-primary w-100">Create User</button>
            }
        </div>
    </div>
</div>

@section Scripts {
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
}